/*************************************************************************
* qmail-adgetpw.c
* Author: Leslie Van Exel, Jr.
* Description: Performs the qmail-getpw command against a Windows AD server
*              Used for delivery of mail in a qmail environment.
*              Tested with Windows 2000/2003/2008 R2
**************************************************************************
* Version Date       Changes
* 1       -          Creation.
*************************************************************************/
#include <string.h>
#include <unistd.h>
#include "ad_func.h"

int
main(int argc, char **argv)
{
	if(!argv[1]) _exit(1);
	if(strlen(argv[1])>CHAR_MAX) _exit(1);
	if(ad_getpw(argv[1])!=AD_SUCCESS) send_alias(argv[1]);
	return 0;
}
